Рекомендация Debian по безопасности

DSA-1528-1 serendipity -- недостаточная очистка ввода

Дата сообщения:
24.03.2008
Затронутые пакеты:
serendipity
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 469667.
В каталоге Mitre CVE: CVE-2007-6205, CVE-2008-0124, CVE-2008-1476.
Более подробная информация:

Петер Хюмлви и Ханно Бёмлок обнаружили, что Serendipity, менеджер веб-блога, неправильно очищает ввода нескольких сценариев, что позволяет осуществлять межсайтовый скриптинг.

В предыдущем стабильном выпуске (sarge) пакет serendipity отсутствует.

В стабильном выпуске (etch) эта проблема была исправлена в версии 1.0.4-1+etch1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 1.3-1.

Рекомендуется обновить пакет serendipity.

Исправлено в:

Debian GNU/Linux 4.0 (etch)

Исходный код:
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4.orig.tar.gz
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1.diff.gz
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1.dsc
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.